// TTFS_API.h
//
// Header file for defining DLL export.
//
// The MIT License (MIT)
// Copyright © 2012 TomTom International B.V.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
// documentation files (the “Software”), to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
// to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of
// the Software.
//
// THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
// CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.

#pragma once

#include <QtGlobal> // Needed because the project that includes it is not a standard Qt project

#if defined(Q_WS_WIN)
// ----------------------------------------------------------------------------
// Compile for Microsoft Windows
// ----------------------------------------------------------------------------

// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the TTFS_API
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// TTFS_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.

#ifdef TTFS_EXPORTS
#define TTFS_API __declspec(dllexport)
#else
#define TTFS_API __declspec(dllimport)
#endif

#pragma warning(disable:4275)   // Disable warnings: Non dll-interface class,
#pragma warning(disable:4251)   // needs to have dll-interface to be used by clients of class.

#else  // Q_WS_WIN 
// ----------------------------------------------------------------------------
// Compile for MacOSX or other platform
// ----------------------------------------------------------------------------

#define TTFS_API
#endif // Q_WS_WIN
